curl --request POST \
--url https://api.blockradar.co/v1/rates \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"fromAsset": "FROM_ASSET_SYMBOL",
"minAmount": "MIN_AMOUNT",
"rate": "ASSET_PAIR_RATE",
"toAsset": "TO_ASSET_SYMBOL"
}
'{
"data": {
"createdAt": "2026-02-19T07:50:17.042Z",
"fromAsset": "BNB",
"id": "d69078ef-2467-40f4-bb00-63394efe32c0",
"isActive": true,
"maxAmount": null,
"minAmount": "0.000005",
"network": "testnet",
"rate": "1",
"status": "active",
"toAsset": "USDC",
"version": 1
},
"message": "Rate created successfully",
"statusCode": 201
}This endpoint allows you to create a rate for a specific asset pair.
Endpoint
POST https://api.blockradar.co/v1/rates
| Key | Required | Type | Description |
|---|---|---|---|
| fromAsset | true | string | The symbol of the asset you are converting from. |
| toAsset | true | string | The symbol of the asset you are converting to. |
| rate | true | string | The exchange rate for the asset pair. Provided as a string to avoid floating point precision issues. |
| minAmount | true | string | The minimum amount allowed for this rate/pair. Provided as a string. |
| maxAmount | false | string | The maximum amount allowed for this rate/pair. Optional. Provided as a string. |
curl --request POST \
--url https://api.blockradar.co/v1/rates \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"fromAsset": "FROM_ASSET_SYMBOL",
"minAmount": "MIN_AMOUNT",
"rate": "ASSET_PAIR_RATE",
"toAsset": "TO_ASSET_SYMBOL"
}
'{
"data": {
"createdAt": "2026-02-19T07:50:17.042Z",
"fromAsset": "BNB",
"id": "d69078ef-2467-40f4-bb00-63394efe32c0",
"isActive": true,
"maxAmount": null,
"minAmount": "0.000005",
"network": "testnet",
"rate": "1",
"status": "active",
"toAsset": "USDC",
"version": 1
},
"message": "Rate created successfully",
"statusCode": 201
}